The Devver Blog

A Boulder startup improving the way developers work.

Devver client 2.4.2 is released

We’ve just released version 2.4.2 of our new client. This release fix some bugs that you may have run into if you’re just getting started on Devver.

Important Changes

The biggest fixes are in the default

install_dependencies

hook (located in .devver/hooks/install_dependencies). The old default hook failed to install Rails correctly, so you may have repeatedly seen an error like this:

Missing the Rails 2.3.3 gem. Please `gem install -v=2.3.3 rails`, update your RAILS_GEM_VERSION setting in config/environment.rb for the Rails version you do have installed, or comment out RAILS_GEM_VERSION to use the latest version installed.

In addition, the default hook now runs

rake gems:install RAILS_ENV=test

instead of

rake gems:install

to ensure that any gems declared in

config/environments/test.rb

get installed.

Updating your hook

If you have not altered your install_dependencies hook, you can just do the following to get the new behavior:

rm .devver/hooks/install_dependencies
devver --init

If you have altered this file, you’ll need to do the following to get the new behavior:

mv .devver/hooks/install_dependencies .devver/hooks/install_dependencies.mine
devver --init

Then port your project-specific changes from

install_dependencies.mine

to

install_dependencies

.

As always, if you have any problems, please don’t hesitate to let us know by emailing support@devver.net.

Written by Ben

September 9, 2009 at 12:33 pm

Posted in Uncategorized

%d bloggers like this: